Package org.eclipse.cdt.core.model

# Class PathEntryContainerChanged

java.lang.Object
org.eclipse.cdt.core.model.PathEntryContainerChanged

public class PathEntryContainerChanged extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INCLUDE_CHANGED`
Change in the includes settings
`static final int`
`MACRO_CHANGED`
Change in the Macro

## Constructor Summary

Constructors
Constructor
Description
`PathEntryContainerChanged(org.eclipse.core.runtime.IPath source, int type)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IPath`
`getPath()`
Returns the affected path;
`int`
`getType()`
Type of change.
`boolean`
`isIncludeChange()`
whether or not the change affected the include paths
`boolean`
`isMacroChange()`
Whether or not the change affected the macro entries

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INCLUDE_CHANGED

public static final int INCLUDE_CHANGED
Change in the includes settings

See Also:
  - Constant Field Values

### MACRO_CHANGED

public static final int MACRO_CHANGED
Change in the Macro

See Also:
  - Constant Field Values

## Constructor Details

### PathEntryContainerChanged

public PathEntryContainerChanged(org.eclipse.core.runtime.IPath source, int type)

Parameters:
  `source` -
  `type` -

## Method Details

### getPath

public org.eclipse.core.runtime.IPath getPath()
Returns the affected path;

Returns:
  path

### getType

public int getType()
Type of change.

### isIncludeChange

public boolean isIncludeChange()
whether or not the change affected the include paths

### isMacroChange

public boolean isMacroChange()
Whether or not the change affected the macro entries